import { DataTypeName } from "datapipe-js";
import { DbConnectionType, PostgreSqlDataTypes, SQLDataTypes } from "./db-types";
export declare class DbTypeConverter {
    toDbType(dbType: DataTypeName, connectionType: DbConnectionType): SQLDataTypes | PostgreSqlDataTypes;
    fromDbType(dbType: SQLDataTypes | PostgreSqlDataTypes, connectionType: DbConnectionType): DataTypeName;
    toSqlServerType(dbType: DataTypeName): SQLDataTypes;
    toPostgreSqlType(dbType: DataTypeName): PostgreSqlDataTypes;
    fromSqlServerType(dbType: SQLDataTypes): DataTypeName;
    fromPostgreSqlType(dbType: PostgreSqlDataTypes): DataTypeName;
}
//# sourceMappingURL=db-type-converter.d.ts.map