export declare type DbConnectionType = 'SqlServer' | 'SqlServerSchema' | 'PostgreSql' | 'Oracle' | 'MySql';
export declare enum SQLDataTypes {
    VARCHAR = "varchar",
    NVARCHAR = "nvarchar",
    FLOAT = "float",
    DATE = "date",
    DATETIME2 = "datetime2",
    DATETIME = "datetime",
    INT = "int",
    TEXT = "text",
    CHAR = "char",
    BINARY = "binary",
    VARBINARY = "varbinary",
    BIT = "bit",
    TINYINT = "tinyint",
    SMALLINT = "smallint",
    BIGINT = "bigint",
    DECIMAL = "decimal",
    REAL = "real",
    NUMERIC = "numeric"
}
export declare enum PostgreSqlDataTypes {
    VARCHAR = "varchar",
    INTEGER = "int",
    DOUBLE = "float8",
    DATE = "date",
    TIMESTAMP = "timestamp",
    BOOLEAN = "bool",
    SMALLINT = "int2",
    BIGINT = "int8",
    REAL = "float4",
    INTEGER4 = "int4",
    NUMERIC = "numeric",
    MONEY = "money",
    TEXT = "text",
    CHAR = "char",
    BPCHAR = "bpchar",
    JSONB = "jsonb",
    XML = "xml",
    JSON = "json"
}
//# sourceMappingURL=db-types.d.ts.map